Browse Source

Updated from global requirements

Change-Id: Ifc3eec2717021db8a97aaf39999969f731ab525a
tags/5.0.0
OpenStack Proposal Bot 2 years ago
parent
commit
e68e7fb314
3 changed files with 8 additions and 8 deletions
  1. 6
    6
      requirements.txt
  2. 1
    1
      setup.py
  3. 1
    1
      test-requirements.txt

+ 6
- 6
requirements.txt View File

@@ -30,14 +30,14 @@ oslo.db>=4.15.0 # Apache-2.0
30 30
 oslo.i18n>=2.1.0 # Apache-2.0
31 31
 oslo.log>=3.11.0 # Apache-2.0
32 32
 oslo.messaging>=5.14.0 # Apache-2.0
33
-oslo.middleware>=3.0.0 # Apache-2.0
33
+oslo.middleware>=3.10.0 # Apache-2.0
34 34
 oslo.policy>=1.17.0 # Apache-2.0
35 35
 oslo.serialization>=1.10.0 # Apache-2.0
36 36
 oslo.service>=1.10.0 # Apache-2.0
37
-oslo.utils>=3.18.0 # Apache-2.0
37
+oslo.utils>=3.20.0 # Apache-2.0
38 38
 oslo.versionedobjects>=1.17.0 # Apache-2.0
39 39
 oslo.reports>=0.6.0 # Apache-2.0
40
-pbr>=1.8 # Apache-2.0
40
+pbr>=2.0.0 # Apache-2.0
41 41
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
42 42
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
43 43
 python-barbicanclient>=4.0.0 # Apache-2.0
@@ -47,9 +47,9 @@ python-neutronclient>=5.1.0 # Apache-2.0
47 47
 python-novaclient>=7.1.0 # Apache-2.0
48 48
 python-keystoneclient>=3.8.0 # Apache-2.0
49 49
 requests!=2.12.2,!=2.13.0,>=2.10.0 # Apache-2.0
50
-setuptools!=24.0.0,>=16.0 # PSF/ZPL
50
+setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,>=16.0 # PSF/ZPL
51 51
 six>=1.9.0 # MIT
52
-stevedore>=1.17.1 # Apache-2.0
52
+stevedore>=1.20.0 # Apache-2.0
53 53
 taskflow>=2.7.0 # Apache-2.0
54
-cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
54
+cryptography>=1.6 # BSD/Apache-2.0
55 55
 Werkzeug>=0.7 # BSD License

+ 1
- 1
setup.py View File

@@ -25,5 +25,5 @@ except ImportError:
25 25
     pass
26 26
 
27 27
 setuptools.setup(
28
-    setup_requires=['pbr>=1.8'],
28
+    setup_requires=['pbr>=2.0.0'],
29 29
     pbr=True)

+ 1
- 1
test-requirements.txt View File

@@ -10,7 +10,7 @@ bashate>=0.2 # Apache-2.0
10 10
 coverage>=4.0 # Apache-2.0
11 11
 doc8 # Apache-2.0
12 12
 fixtures>=3.0.0 # Apache-2.0/BSD
13
-hacking>=0.12.0,!=0.13.0,<0.14  # Apache-2.0
13
+hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
14 14
 mock>=2.0 # BSD
15 15
 openstackdocstheme>=1.5.0 # Apache-2.0
16 16
 oslosphinx>=4.7.0 # Apache-2.0

Loading…
Cancel
Save